Bug 81053 - if multiple arch available, selection list has duplicate entries in download screen
Summary: if multiple arch available, selection list has duplicate entries in download ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 88507
TreeView+ depends on / blocked
 
Reported: 2003-01-03 21:38 UTC by Patrick C. F. Ernzer
Modified: 2007-04-18 16:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 19:29:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar tvf rhn-packages.tar (6.92 KB, text/plain)
2003-01-03 21:45 UTC, Patrick C. F. Ernzer
no flags Details

Description Patrick C. F. Ernzer 2003-01-03 21:38:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem: see below.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log onto RHN as user 'pcfe'
2. click on 'Software' tab
3. select 'Red Hat Network Satellite for Red Hat Linux 7.2'
4. click on 'Packages'
5. click on 'Select All'
6. click on 'Download'


Actual Results:  Note:   Some of the packages you have selected have multiple
architectures that may be relevant to your registered systems. To select the
desired architecture for the packages to be downloaded, check the desired
architecture(s).
Package Name Arches Available
perl-libnet-1.0703-6  noarch     i386     i386
perl-Time-HiRes-01.20-6  i386     i386
perl-Digest-MD5-2.20-1  i386     i386

Expected Results:  Note:   Some of the packages you have selected have multiple
architectures that may be relevant to your registered systems. To select the
desired architecture for the packages to be downloaded, check the desired
architecture(s).
Package Name Arches Available
perl-libnet-1.0703-6  noarch(from Red Hat Advanced Server for i386, Red Hat
Linux 7.2 i386, Red Hat Linux 7.2 ia64, Red Hat Linux 7.2 s390)     i386(from 
Red Hat Network Satellite for Red Hat Linux 7.2)

Additional info:

Optimally we should even pre-select the i386 perl-libnet-1.0703-6 package as
that one's from 'Red Hat Network Satellite for Red Hat Linux 7.2'

And the double occurence of i386 packages should not happen)

Comment 1 Patrick C. F. Ernzer 2003-01-03 21:45:06 UTC
Created attachment 89110 [details]
tar tvf rhn-packages.tar

FWIW, the list of files that I got in the tarball

Comment 2 Patrick C. F. Ernzer 2003-01-03 21:46:59 UTC
n.b. that's the tarball I got after selecting all the files I was offered in the
'multiple instances' screen.

Comment 3 Josef Komenda 2003-04-03 22:33:39 UTC
Pushing this back to bug #86238 - the 2.5.0 release.

Comment 4 Greg DeKoenigsberg 2003-04-11 18:12:49 UTC
RHN 3.1.0 web

Comment 5 Robin Norwood 2003-06-18 21:08:57 UTC
Step one is complete - when downloading packages from a channel, the packages
are filtered by channel, so nvrea is unique

Comment 6 Robin Norwood 2003-07-07 15:44:22 UTC
Fixed in CVS.

Comment 7 Josef Komenda 2003-07-24 15:15:27 UTC
Looks good in dev.

Comment 8 Josef Komenda 2003-07-25 20:10:42 UTC
Looks good in QA.

Comment 9 Josef Komenda 2003-07-28 19:29:46 UTC
Looks good in prod. 


Note You need to log in before you can comment on or make changes to this bug.